<ion-view title="">
  <ion-nav-buttons side="left">
    <button menu-toggle="left" class="button button-icon icon ion-navicon"></button>
     
  </ion-nav-buttons>
  </ion-view>

  <ion-view class="body-pane">     
          <ion-content ng-controller="SaveAlertCtrl">
            <form ng-submit="createAlert()" name="createAlert1">

              <div class="list card create-alert">

                  <div class="item">
                    <i class="fa fa-shopping-cart blue"></i><span>&nbsp;&nbsp;SELECT STORES</span>
                  </div>

                  <div class="item item-body create-alert-dropdown">
                      <div class="item item-input-inset border-none">
                          <label class="item-input-wrapper">
                              <ui-select type="search" multiple ng-model="form.stores" ng-keyup="setCurrent($select.search)" theme="select2" style="width: 800px;">

                                  <ui-select-match placeholder="Select the Stores">
                                      <i class="icon ion-close-circled placeholder-icon" ng-modal="search_result.text" ng-click="$select.removeChoice($index)"></i>{{$item.name}}
                                  </ui-select-match>
                                  <ui-select-choices repeat="store in store | propsFilter: {name: $select.search}">
                                      <div ng-bind-html="store.name"></div>
                                  </ui-select-choices>
                              </ui-select>
                          </label>
                      </div>

                  </div>


                </div>
              <div class="row">
                <div class="col alert-close-btn">
                  
                </div>

              </div>

              <div class="list card create-alert">

                  <div class="item">
                    <i class="fa fa-database blue"></i><span>&nbsp;&nbsp;SELECT CATEGORIES</span>
                  </div>

                  <div class="item item-body create-alert-dropdown">
                      <div class="item item-input-inset border-none">
                          <label class="item-input-wrapper">
                            <ui-select multiple ng-model="form.categories" theme="select2" ng-disabled="disabled" style="width: 800px;">
        
                              <ui-select-match placeholder="Select the Categories">
                              <i class="icon ion-close-circled placeholder-icon" ng-click="$select.removeChoice($index)"></i>{{$item.name}}</ui-select-match>           
                              <ui-select-choices repeat="category in categories | propsFilter: {name: $select.search}"> 
                                <div ng-bind-html="category.name"></div>
                              </ui-select-choices>
                              </ui-select>
                          </label>
                        </div>
                  </div>

                </div>
              <div class="list card create-alert">

                  <div class="item">
                    <i class="fa fa-bell blue"></i><span>&nbsp;&nbsp;ALERT NAME</span>
                  </div>

                  <div class="item item-body">
                      <div class="item item-input-inset border-none">
                          <label class="item-input-wrapper">
                            <input type="text"  ng-model="form.username" placeholder="Alert Name" required name="alert" ng-minlength=6 ng-maxlength=20>
                          </label>
                        </div>
                  </div>

                </div>
               <div class="error-container custom-error-container" ng-show="createAlert1.alert.$dirty && createAlert1.alert.$invalid">
                    <small class="error" style="color:red"
                           ng-show="createAlert1.alert.$error.required">
                           Name is required.
                    </small>
                    <small class="error" style="color:red"
                           ng-show="createAlert1.alert.$error.minlength">
                            Your name is required to be at least 6 characters
                    </small>
               </div>   

                 <div class="list card create-alert">

                  <div class="item">
                    <i class="fa fa-bell blue"></i><span>&nbsp;&nbsp;ALERT FREQUENCY</span>
                  </div>
                        <ion-checkbox ng-repeat="item in scheduleList"
                          ng-model="item.checked" 
                          ng-checked="item.checked" class="list-chk-box">
                        {{ item.text }}
                         </ion-checkbox>

                  </div>
             
              <div class="row">
                  <div class="col button  button-small button-gray color_ch" ng-model='createData.couponsonly' ng-click="value()">
                    Only Coupons
                  </div>
                   <div class="col button  button-small button-fade-gray color_ch1" ng-click="any_value()">
                    Any Deals
                  </div>
                </div>
                 <div class="row">
                   <button class="button button-block button-save btn-custom">
                    Create Alert
                  </button>
                </div>
          </form>

</ion-content>
</ion-view>